vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 1
声望: 0

C:\Users\Administrator>python -m vnstation
Traceback (most recent call last):
File "E:\VNConda\lib\runpy.py", line 193, in _run_module_as_main
"main", mod_spec)
File "E:\VNConda\lib\runpy.py", line 85, in _run_code
exec(code, run_globals)
File "E:\VNConda\lib\site-packages\vnstation__main.py", line 4, in <module>
cli()
File "E:\VNConda\lib\site-packages\click\core.py", line 764, in
call
return self.main(args, kwargs)
File "E:\VNConda\lib\site-packages\click\core.py", line 717, in main
rv = self.invoke(ctx)
File "E:\VNConda\lib\site-packages\click\core.py", line 1114, in invoke
return Command.invoke(self, ctx)
File "E:\VNConda\lib\site-packages\click\core.py", line 956, in invoke
return ctx.invoke(self.callback,
ctx.params)
File "E:\VNConda\lib\site-packages\click\core.py", line 555, in invoke
return callback(
args, kwargs)
File "E:\VNConda\lib\site-packages\click\decorators.py", line 17, in new_func
return f(get_current_context(), *args,
kwargs)
File "E:\VNConda\lib\site-packages\vnstation\cli.py", line 15, in cli
run()
File "E:\VNConda\lib\site-packages\click\core.py", line 764, in
call
return self.main(args, kwargs)
File "E:\VNConda\lib\site-packages\click\core.py", line 717, in main
rv = self.invoke(ctx)
File "E:\VNConda\lib\site-packages\click\core.py", line 956, in invoke
return ctx.invoke(self.callback,
ctx.params)
File "E:\VNConda\lib\site-packages\click\core.py", line 555, in invoke
return callback(
args, **kwargs)
File "E:\VNConda\lib\site-packages\vnstation\cli.py", line 20, in run
import vnstation.run
File "E:\VNConda\lib\site-packages\vnstation\run.py", line 4, in <module>
from vnpy.trader.ui import QtGui, create_qapp
File "E:\VNConda\lib\site-packages\vnpy\trader\ui\
init__.py", line 10, in <module>
from .mainwindow import MainWindow
File "E:\VNConda\lib\site-packages\vnpy\trader\ui\mainwindow.py", line 27, in <module>
from .editor import CodeEditor
File "E:\VNConda\lib\site-packages\vnpy\trader\ui\editor.py", line 4, in <module>
from PyQt5 import QtWidgets, Qsci, QtGui
RuntimeError: the sip module implements API v12.0 to v12.6 but the PyQt5.Qsci module requires API v12.7

试了很多办法,都没办法解决这个问题,请问有什么办法可以解决,多谢!

Administrator
avatar
加入于:
帖子: 2441
声望: 102

请直接使用VNStudio-2.0.8,SIP手动重装非常麻烦

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3